module Comparable.Test exposing (test)

import Comparable.Dict
import Expect
import Test exposing (Test)


test : Test
test =
    Test.describe "Comparable"
        [ empty
        ]


empty : Test
empty =
    Test.describe "empty"
        [ Test.test "transforms into an empty list" (\() -> Expect.equal [] (Comparable.Dict.toList Comparable.Dict.empty))
        , Test.test "has a size of zero" (\() -> Expect.equal 0 (Comparable.Dict.size Comparable.Dict.empty))
        ]
